Package jebl.evolution.align

# Class OverlapAlign

java.lang.Object
jebl.evolution.align.Align
jebl.evolution.align.OverlapAlign

public class OverlapAlign extends Align

## Constructor Summary

Constructors
Constructor
Description
`OverlapAlign(Scores sub, float d)`

## Method Summary

Modifier and Type
Method
Description
`void`
`doAlignment(String sq1, String sq2)`
Performs the alignment.
`float`
`getScore()`
`Traceback`
`next(Traceback tb)`
Get the next state in the traceback
`void`
`prepareAlignment(String sq1, String sq2)`
Initialises the matrices for the alignment.
`void`
`printf(Output out)`
Print matrix used to calculate this alignment.

### Methods inherited from class jebl.evolution.align.Align

`doMatch, doMatch, formatScore, getMatch, setGapOpen, setScores, traceback`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OverlapAlign

public OverlapAlign(Scores sub, float d)

## Method Details

### doAlignment

public void doAlignment(String sq1, String sq2)
Performs the alignment. Abstract.

Parameters:
  `sq1` -
  `sq2` -

### prepareAlignment

public void prepareAlignment(String sq1, String sq2)
Description copied from class: `Align`
Initialises the matrices for the alignment.

Specified by:
  `prepareAlignment` in class `Align`
Parameters:
  `sq1` -
  `sq2` -

### next

public Traceback next(Traceback tb)
Get the next state in the traceback

Overrides:
  `next` in class `Align`
Parameters:
  `tb` - current Traceback
Returns:
  next Traceback

### getScore

public float getScore()

Specified by:
  `getScore` in class `Align`
Returns:
  the score of the best alignment

### printf

public void printf(Output out)
Print matrix used to calculate this alignment.

Specified by:
  `printf` in class `Align`
Parameters:
  `out` - Output to print to.